> ## Documentation Index
> Fetch the complete documentation index at: https://docs.animusai.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Categorize Media

> Analyzes an image and returns various metadata categories



## OpenAPI

````yaml api-reference/openapi.json post /media/categories
openapi: 3.1.0
info:
  version: 2.0.0
  title: Animus API
  description: >-
    Animus' API provides you with a variety of AI-driven capabilities. From
    generating text with our advanced large language models to creating
    customized content schedules, our API's applications are vast and versatile.

    Whether it's facilitating seamless conversation through predictive response
    or simulating a comprehensive content calendar, our advanced functionalities
    can cater to an array of feature requirements.
servers:
  - url: https://api.animusai.co/v2
security: []
paths:
  /media/categories:
    post:
      tags:
        - Vision
      summary: Categorize Media
      description: Analyzes an image and returns various metadata categories
      operationId: analyzeMedia
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                media_url:
                  type: string
                  description: URL of the image to analyze
                metadata:
                  type: array
                  description: Types of metadata to return (one or more filters)
                  items:
                    type: string
                    enum:
                      - categories
                      - participants
                      - actions
                      - scene
                      - tags
                use_scenes:
                  type: boolean
                  description: >-
                    Enables scene detection algorithm to select one frame per
                    scene, reducing analysis for larger videos.
                  default: false
              required:
                - media_url
                - metadata
      responses:
        '200':
          description: Analysis results for the provided image
          content:
            application/json:
              schema:
                type: object
                properties:
                  metadata:
                    type: object
                    properties:
                      participants:
                        type: array
                        items:
                          type: string
                      categories:
                        type: array
                        items:
                          type: string
                      actions:
                        type: array
                        items:
                          type: string
                      scene:
                        type: array
                        items:
                          type: string
                      tags:
                        type: array
                        items:
                          type: string
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````